@echo off
: -------------------------------
: if resources exist, build them
: -------------------------------
if not exist rsrc.rc goto over1
\MAsm32\BIN\RC.EXE /v rsrc.rc
\MAsm32\BIN\CVTRES.EXE /machine:ix86 rsrc.res
:over1

if exist %1.obj del 3D_Core.obj
if exist %1.exe del 3D_Core.exe

: -----------------------------------------
: assemble 3D_Core.asm into an OBJ file
: -----------------------------------------
\MAsm\ML.EXE /c /coff 3D_Core.asm
if errorlevel 1 goto errasm

if not exist rsrc.obj goto nores

: --------------------------------------------------
: link the main OBJ file with the resource OBJ file
: --------------------------------------------------
\MAsm32\BIN\LINK.EXE /SUBSYSTEM:WINDOWS 3D_Core.obj rsrc.obj
if errorlevel 1 goto errlink
dir 3D_Core.*
goto TheEnd

:nores
: -----------------------
: link the main OBJ file
: -----------------------
\MAsm32\BIN\LINK.EXE /SUBSYSTEM:WINDOWS 3D_Core.obj
if errorlevel 1 goto errlink
dir 3D_Core.*
goto TheEnd

:errlink
: ----------------------------------------------------
: display message if there is an error during linking
: ----------------------------------------------------
echo.
echo There has been an error while linking this project.
echo.
goto TheEnd

:errasm
: -----------------------------------------------------
: display message if there is an error during assembly
: -----------------------------------------------------
echo.
echo There has been an error while assembling this project.
echo.
goto TheEnd

:TheEnd

pause
